LESS Asset-Pipeline Plugin

3 votes
Dependency:
compile ":less-asset-pipeline:1.9.0"

 Documentation  Source  Issues

Summary

Provides LESS support for the asset-pipeline static asset management plugin.

Installation

grails install-plugin less-asset-pipeline

Description

The Grails `less-asset-pipeline` is a plugin that provides LESS support for the asset-pipeline static asset management plugin.

For more information on how to use asset-pipeline, visit http://www.github.com/bertramdev/asset-pipeline .

Usage

Simply create files in your standard `assets/stylesheets` folder with extension `.less` or `.css.less`. You also may require other files by using the following requires syntax at the top of each file or the standard LESS import:

/*
*= require test
*= require_self
*= require_tree .
*/

/*Or use this*/ @import 'test'

Configuration

This plugin supports compilation via the standard less-1.6.0.js library or via less4j. To turn on less4j simply add the following to your Config.groovy:

grails.assets.less.compiler = 'less4j'

This can give a > 2x performance improvement.